• Syntax error

    From Melkor@VERT/STARFRON to All on Sunday, March 06, 2011 10:22:19
    Im trying to add the bbsscene oneliners mod to my board. I keep getting a syntax error in line 87. So 1st question is anyone else using this mod and if so how did you set it up?
    If someone knows js and its an error on the programs part here is what line
    87 says.
    var x = new XML(onelinerz);

    ---
    Synchronet Star Frontiers - starfron.synchro.net
  • From Access Denied@VERT/PHARCYDE to Melkor on Monday, March 07, 2011 18:10:15
    Re: Syntax error
    By: Melkor to All on Sun Mar 06 2011 10:22 am

    Im trying to add the bbsscene oneliners mod to my board. I keep getting a syntax error in line 87. So 1st question is anyone else using this mod and i so how did you set it up?
    If someone knows js and its an error on the programs part here is what line 87 says.

    Actually, if you are using eclnrz30.zip you will need to upgrade to eclnrz31.zip, as 3.0 was a bad version. If echicken doesn't read here much, you can always find him on irc.bbs-scene.org in #bbs. I forgot the link offhand, and if noone else can direct you to it here, he definitely can. :)

    axisd

    ---
    Synchronet thePharcyde_ >> telnet://bbs.pharcyde.org (Wisconsin)
  • From Melkor@VERT/STARFRON to Access Denied on Tuesday, March 08, 2011 07:17:57
    Re: Syntax error
    By: Access Denied to Melkor on Mon Mar 07 2011 06:10 pm


    Actually, if you are using eclnrz30.zip you will need to upgrade to eclnrz31.zip, as 3.0 was a bad version. If echicken doesn't read here much, can always find him on irc.bbs-scene.org in #bbs. I forgot the link offhand, and if noone else can direct you to it here, he definitely can. :)

    axisd

    I got it thanx. they need to update that on the website since 3.0 is the one thats on there..

    ---
    Synchronet Star Frontiers - starfron.synchro.net
  • From Digital Man@VERT to Melkor on Thursday, March 10, 2011 16:22:05
    Re: Syntax error
    By: Melkor to All on Sun Mar 06 2011 10:22 am

    Im trying to add the bbsscene oneliners mod to my board. I keep getting a syntax error in line 87. So 1st question is anyone else using this mod and if so how did you set it up?
    If someone knows js and its an error on the programs part here is what line 87 says.
    var x = new XML(onelinerz);

    What version of Synchronet are you running? For XML in JS support, you'll need a v3.15a dev build (sbbs_dev.zip) or the latest from CVS.

    digital man

    Snapple "Real Fact" #190:
    Thailand means "Land of the Free."

    ---
    Synchronet Vertrauen Home of Synchronet [vert/cvs/bbs].synchro.net
  • From echicken@VERT/ECBBS to Melkor on Tuesday, March 15, 2011 10:59:05
    Re: Syntax error
    By: Melkor to Access Denied on Tue Mar 08 2011 07:17:57

    I got it thanx. they need to update that on the website since 3.0 is the one thats on there..

    I'll remind Netsurge to post my updated version. I sent it to him some time ago, but I think he was otherwise occupied. Sorry about that.

    echicken
    electronic chicken bbs - bbs.electronicchicken.com - 416-273-7230

    ---
    Synchronet electronic chicken bbs - bbs.electronicchicken.com
  • From Badopcode@VERT/DHBBS to Digital Man on Tuesday, April 19, 2011 02:00:54
    Re: Syntax error
    By: Digital Man to Melkor on Thu Mar 10 2011 04:22 pm

    What version of Synchronet are you running? For XML in JS support, you'll ne a v3.15a dev build (sbbs_dev.zip) or the latest from CVS.

    What about JSON? I noticed that some of the scripts in CVS are using the
    JSON object. I've tried to use JSON.parse and got a JSON is not defined error.

    ---
    Synchronet Darkest Hour BBS - thedhbbs.com
  • From MCMLXXIX@VERT/MDJ to Badopcode on Tuesday, April 19, 2011 10:33:33
    Re: Syntax error
    By: Badopcode to Digital Man on Tue Apr 19 2011 02:00:54

    Re: Syntax error
    By: Digital Man to Melkor on Thu Mar 10 2011 04:22 pm

    What version of Synchronet are you running? For XML in JS support, you'll a v3.15a dev build (sbbs_dev.zip) or the latest from CVS.

    What about JSON? I noticed that some of the scripts in CVS are using the JSON object. I've tried to use JSON.parse and got a JSON is not defined err


    you'll have to include the JSON library that Cyan uploaded to CVS

    grab it from CVS and: load("synchronet-JSON.js"); and those methods will be available.

    ---
    Synchronet The BRoKEN BuBBLE (MDJ.ATH.CX)
  • From Badopcode@VERT/DHBBS to MCMLXXIX on Tuesday, April 19, 2011 19:41:24
    Re: Syntax error
    By: MCMLXXIX to Badopcode on Tue Apr 19 2011 10:33 am

    What about JSON? I noticed that some of the scripts in CVS are using the JSON object. I've tried to use JSON.parse and got a JSON is not defined
    you'll have to include the JSON library that Cyan uploaded to CVS

    grab it from CVS and: load("synchronet-JSON.js"); and those methods will be available.

    Ok cool. Thanks for the help and thanks Cyan for the parser!

    ---
    Synchronet Darkest Hour BBS - thedhbbs.com